%if "x%{?python3_pkgversion}" == "x"
%global python3_pkgversion 3
%endif

# Hotfix to allow RPM build on fedora36+
# There is a problem in configure autodetection when
# LDFLAGS=-specs=/usr/lib/rpm/redhat/redhat-hardened-ld
%undefine _auto_set_build_flags

Summary: Package with basic NEMEA modules
Name: nemea-modules
Version: 2.23.0
Release: 1
URL: http://www.liberouter.org/
Source: https://www.liberouter.org/repo/SOURCES/%{name}-%{version}-%{release}.tar.gz
Group: Liberouter
License: BSD
Vendor: CESNET, z.s.p.o.
Packager: Tomas Cejka <cejkat@cesnet.cz>
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
Requires: nemea-framework
Requires: libnf
Requires: openssl
Requires: libcurl
Requires: python%{python3_pkgversion}-nemea-pytrap
Requires: lua
Provides: nemea-modules
BuildRequires: gcc gcc-c++ make doxygen pkgconfig nemea-framework-devel bison flex
BuildRequires: openssl-devel libnf-devel bzip2-devel libcurl-devel
BuildRequires: lua-devel

%description

%package devel
Summary: Nemea-modules development package contains files for liburfilter
Group: Liberouter
Requires: nemea-modules = %{version}-%{release}
Requires: nemea-framework-devel
Provides: nemea-modules-devel

%description devel
This package contains header file for liburfilter.

%prep
%setup

%build
./configure -q --enable-silent-rules --disable-repobuild --prefix=%{_prefix} --libdir=%{_libdir} --bindir=%{_bindir}/nemea --sysconfdir=%{_sysconfdir} --docdir=%{_docdir}/nemea-modules --mandir=%{_mandir} --datadir=%{_datadir} CFLAGS=-fcommon;
make -j5

%install
make -j5 DESTDIR=$RPM_BUILD_ROOT install

%post
ldconfig

%files
%{_bindir}/nemea/agg
%{_bindir}/nemea/amplification2idea.py
%{_bindir}/nemea/anonymizer
%{_bindir}/nemea/backscatter
%{_bindir}/nemea/biflow_aggregator
%{_bindir}/nemea/bruteforce2idea.py
%{_bindir}/nemea/bloom_history
%{_bindir}/nemea/csv2nf.sh
%{_bindir}/nemea/dgadetection2idea.py
%{_bindir}/nemea/ddos_detector2idea.py
%{_bindir}/nemea/debug_sender.py
%{_bindir}/nemea/device_classifier
%{_bindir}/nemea/dnstunnel2idea.py
%{_bindir}/nemea/email_reporter.py
%{_bindir}/nemea/endiverter
%{_bindir}/nemea/flowcounter
%{_bindir}/nemea/flow_meter
%{_bindir}/nemea/haddrscan2idea.py
%{_bindir}/nemea/hoststats2idea.py
%{_bindir}/nemea/idea2idea.py
%{_bindir}/nemea/blacklist2idea.py
%{_bindir}/nemea/ipv6stats
%{_bindir}/nemea/json_dump.py
%{_bindir}/nemea/json_replay.py
%{_bindir}/nemea/link_traffic
%{_bindir}/nemea/link_traff2json.py
%{_bindir}/nemea/logger
%{_bindir}/nemea/logreplay
%{_bindir}/nemea/luamodule
%{_bindir}/nemea/mux
%{_bindir}/nemea/demux
%{_bindir}/nemea/merger
%{_bindir}/nemea/minerdetector2idea.py
%{_bindir}/nemea/natpair
%{_bindir}/nemea/nfdump_reader
%{_bindir}/nemea/nfdump_reader_test
%{_bindir}/nemea/nfwriter
%{_bindir}/nemea/prefix_tags
%{_bindir}/nemea/proto_traffic
%{_bindir}/nemea/pdns_exporter.py
%{_bindir}/nemea/resolver.py
%{_bindir}/nemea/scalar_agg
%{_bindir}/nemea/sipbf2idea.py
%{_bindir}/nemea/sni_dataset_saver
%{_bindir}/nemea/sshbruteforceml2idea.py
%{_bindir}/nemea/smashedblacklist2idea.py
%{_bindir}/nemea/svm-tools
%{_bindir}/nemea/topn
%{_bindir}/nemea/traffic_repeater
%{_bindir}/nemea/unirec2json.py
%{_bindir}/nemea/unirecfilter
%{_bindir}/nemea/venom2idea.py
%{_bindir}/nemea/voipfraud2idea.py
%{_bindir}/nemea/vportscan2idea.py
%{_bindir}/nemea/nemea_warden_filer
%{_docdir}/nemea-modules/*/*
%config(noreplace) %{_sysconfdir}/nemea/email_reporter/example.cfg
%config(noreplace) %{_sysconfdir}/nemea/email_reporter/generic.cfg
%config(noreplace) %{_sysconfdir}/nemea/link_traffic/link_traff_conf.cfg.example

%config(noreplace) %{_datarootdir}/nemea-supervisor/backscatter/backscatter.sup

%config(noreplace) %{_datarootdir}/nemea-supervisor/munin/link_traffic.sup
%config(noreplace) %{_datarootdir}/nemea-supervisor/munin/proto_traffic.sup

%config(noreplace) %{_datarootdir}/nemea-supervisor/reporters/amplification2idea.sup
%config(noreplace) %{_datarootdir}/nemea-supervisor/reporters/bruteforce2idea.sup
%config(noreplace) %{_datarootdir}/nemea-supervisor/reporters/dnstunnel2idea.sup
%config(noreplace) %{_datarootdir}/nemea-supervisor/reporters/dgadetection2idea.sup
%config(noreplace) %{_datarootdir}/nemea-supervisor/reporters/haddrscan2idea.sup
%config(noreplace) %{_datarootdir}/nemea-supervisor/reporters/hoststats2idea.sup
%config(noreplace) %{_datarootdir}/nemea-supervisor/reporters/blacklist2idea.sup
%config(noreplace) %{_datarootdir}/nemea-supervisor/reporters/miner2idea.sup
%config(noreplace) %{_datarootdir}/nemea-supervisor/reporters/sipbf2idea.sup
%config(noreplace) %{_datarootdir}/nemea-supervisor/reporters/sshbruteforceml2idea.sup
%config(noreplace) %{_datarootdir}/nemea-supervisor/reporters/venom2idea.sup
%config(noreplace) %{_datarootdir}/nemea-supervisor/reporters/voipfraud2idea.sup
%config(noreplace) %{_datarootdir}/nemea-supervisor/reporters/vportscan2idea.sup

%config(noreplace) %{_sysconfdir}/warden/amplificationdetector/config.cfg
%config(noreplace) %{_sysconfdir}/warden/bruteforce/config.cfg
%config(noreplace) %{_sysconfdir}/warden/dnstunnel/config.cfg
%config(noreplace) %{_sysconfdir}/warden/dgadetection/config.cfg
%config(noreplace) %{_sysconfdir}/warden/haddrscan/config.cfg
%config(noreplace) %{_sysconfdir}/warden/hoststats/config.cfg
%config(noreplace) %{_sysconfdir}/warden/blacklist/config.cfg
%config(noreplace) %{_sysconfdir}/warden/minerdetector/config.cfg
%config(noreplace) %{_sysconfdir}/warden/sipbruteforce/config.cfg
%config(noreplace) %{_sysconfdir}/warden/venom/config.cfg
%config(noreplace) %{_sysconfdir}/warden/vportscan/config.cfg
%config(noreplace) %{_sysconfdir}/warden/voipfraud/config.cfg

%{_datadir}/munin/plugins/link_traffic_
%{_datadir}/munin/plugins/proto_traffic_
%{_datadir}/nemea/*
%{_libdir}/liburfilter.so.*
%{_mandir}/man1/*.1.gz

%files devel
%{_includedir}/liburfilter.h
%{_libdir}/liburfilter.a
%{_libdir}/liburfilter.so
%{_libdir}/pkgconfig/liburfilter.pc

